Skip to main content
GET
/
events
List Events
curl --request GET \
  --url https://api.example.com/events
[
  {
    "agent_id": "<string>",
    "id": "<string>",
    "sequence_id": 123,
    "task_id": "<string>",
    "content": {
      "text": "<string>",
      "type": "text"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "streamCapabilities": [
      "<string>"
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.terminaluse.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

last_processed_event_id
string | null

Optional event ID to get events after this ID

limit
integer | null

Optional limit on number of results

Required range: 1 <= x <= 1000
task_id
string
required

The task ID

agent_id
string
required

The agent ID

Response

Successful Response

agent_id
string
required

The UUID of the agent that the event belongs to

id
string
required

The UUID of the event

sequence_id
integer
required

The sequence ID of the event

task_id
string
required

The UUID of the task that the event belongs to

content
TextPart · object

Text content part.

created_at
string<date-time> | null

The timestamp of the event

streamCapabilities
string[] | null

Server-advertised stream lifecycle capabilities for this event